import random

WINRATE = .5
GAMES_PLAYED = 10
DAYS_PLAYED = 7
TOTAL_GAMES = GAMES_PLAYED * DAYS_PLAYED
NUMBER_OF_SIMULATIONS = 20000
MAX_STREAK_LENGTH = 10

def play_series(streak_length):
    loss_streak = 0
    max_loss_streak = 0

    for i in range(TOTAL_GAMES):
        flip = random.random()
        if flip > WINRATE:
            loss_streak += 1
            max_loss_streak = max(loss_streak, max_loss_streak)
        else:
            loss_streak = 0

    return max_loss_streak >= streak_length

def run_trial(streak_length):
    loss_streaks = 0

    for i in range(NUMBER_OF_SIMULATIONS):
        if play_series(streak_length):
            loss_streaks += 1

    return loss_streaks / NUMBER_OF_SIMULATIONS

def main():
    for streak_length in range(1, 10):
        streak_percent = run_trial(streak_length)

        print("chance of {}-game loss streak = {}%".format(streak_length, 100 * streak_percent))

main()
